Debian Bug report logs - #452541
aptitude: [patch] add --allow-unauthenticated commandline option

version graph

Package: aptitude; Maintainer for aptitude is Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>; Source for aptitude is src:aptitude.

Reported by: Michael Vogt <mvo@ubuntu.com>

Date: Fri, 23 Nov 2007 15:06:01 UTC

Severity: wishlist

Tags: patch

Merged with 452201

Found in versions aptitude/0.4.9-1, aptitude/0.4.9-2

Fixed in version aptitude/0.4.10-1

Done: Daniel Burrows <dburrows@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#452541; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Michael Vogt <mvo@ubuntu.com>:
New Bug report received and forwarded. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Vogt <mvo@ubuntu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: aptitude: [patch] add --allow-unauthenticated commandline option
Date: Fri, 23 Nov 2007 16:00:26 +0100
[Message part 1 (text/plain, inline)]
Package: aptitude
Version: 0.4.9-2
Severity: wishlist
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu hardy ubuntu-patch



In Ubuntu, we've applied the attached patch to achieve the following:

  * Merge from debian unstable, remaining changes:
    - 01_allow_unauthenticated.dpatch: 
      add --allow-unauthenticated to allow overwriting the 
      authentication warning

We thought you might be interested in doing the same. 

Cheers,
 Michael

-- System Information:
Debian Release: lenny/sid
  APT prefers gutsy-updates
  APT policy: (500, 'gutsy-updates'), (500, 'gutsy'), (500, 'feisty')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-14-generic (SMP w/2 CPU cores)
Locale: LANG=en_DK.UTF-8, LC_CTYPE=en_DK.UTF-8 (charmap=UTF-8)
[tmpYWOchV (application/x-shellscript, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#452541; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 452541@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Michael Vogt <mvo@ubuntu.com>, 452541@bugs.debian.org
Subject: Re: Bug#452541: aptitude: [patch] add --allow-unauthenticated commandline option
Date: Fri, 23 Nov 2007 08:41:54 -0800
  I think I'd rather call the option "allow-untrusted"; that says more
clearly what it does.

  Daniel




Merged 452201 452541. Request was from Daniel Burrows <dburrows@debian.org> to control@bugs.debian.org. (Fri, 23 Nov 2007 16:45:04 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Daniel Burrows <dburrows@debian.org> to control@bugs.debian.org. (Sun, 16 Dec 2007 20:55:04 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Daniel Burrows <dburrows@debian.org> to control@bugs.debian.org. (Sun, 16 Dec 2007 20:55:08 GMT) Full text and rfc822 format available.

Reply sent to Daniel Burrows <dburrows@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Michael Vogt <mvo@ubuntu.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #21 received at 452541-close@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: 452541-close@bugs.debian.org
Subject: Bug#452541: fixed in aptitude 0.4.10-1
Date: Sun, 16 Dec 2007 21:47:03 +0000
Source: aptitude
Source-Version: 0.4.10-1

We believe that the bug you reported is fixed in the latest version of
aptitude, which is due to be installed in the Debian FTP archive:

aptitude-dbg_0.4.10-1_i386.deb
  to pool/main/a/aptitude/aptitude-dbg_0.4.10-1_i386.deb
aptitude-doc-cs_0.4.10-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-cs_0.4.10-1_all.deb
aptitude-doc-en_0.4.10-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-en_0.4.10-1_all.deb
aptitude-doc-fi_0.4.10-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-fi_0.4.10-1_all.deb
aptitude-doc-fr_0.4.10-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-fr_0.4.10-1_all.deb
aptitude-doc-ja_0.4.10-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-ja_0.4.10-1_all.deb
aptitude_0.4.10-1.diff.gz
  to pool/main/a/aptitude/aptitude_0.4.10-1.diff.gz
aptitude_0.4.10-1.dsc
  to pool/main/a/aptitude/aptitude_0.4.10-1.dsc
aptitude_0.4.10-1_i386.deb
  to pool/main/a/aptitude/aptitude_0.4.10-1_i386.deb
aptitude_0.4.10.orig.tar.gz
  to pool/main/a/aptitude/aptitude_0.4.10.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 452541@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Burrows <dburrows@debian.org> (supplier of updated aptitude package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 16 Dec 2007 11:56:23 -0800
Source: aptitude
Binary: aptitude-doc-ja aptitude-doc-cs aptitude-dbg aptitude-doc-fr aptitude-doc-fi aptitude-doc-en aptitude
Architecture: source all i386
Version: 0.4.10-1
Distribution: unstable
Urgency: low
Maintainer: Daniel Burrows <dburrows@debian.org>
Changed-By: Daniel Burrows <dburrows@debian.org>
Description: 
 aptitude   - terminal-based package manager
 aptitude-dbg - Debug symbols for the aptitude package manager
 aptitude-doc-cs - Czech manual for aptitude, a terminal-based package manager
 aptitude-doc-en - English manual for aptitude, a terminal-based package manager
 aptitude-doc-fi - Finnish manual for aptitude, a terminal-based package manager
 aptitude-doc-fr - French manual for aptitude, a terminal-based package manager
 aptitude-doc-ja - Japanese manual for aptitude, a terminal-based package manager
Closes: 233129 450798 451311 451765 452201 452202 452541 452710 453362 454695 454700 455349 455865
Changes: 
 aptitude (0.4.10-1) unstable; urgency=low
 .
   * Add a reportbug script that includes the user's $TERM in the bug.
 .
   * Fix a typo in the aptitude description. (Closes: #452710)
 .
   * Add VCS fields to the control file.
 .
   * Build-Depend on the newest version of cwidget so we link against
     libcwidget1 instead of libcwidget0.
 .
   * New upstream release.
 .
     - Add an option --allow-untrusted to override trust warning.
       (Closes: #452201, #452541)
 .
     - Recommended packages are now hidden if quiet mode is enabled.
       (Closes: #452202)
 .
     - Fixed a segfault that would happen after updating the package lists
       or doing an install run.
         (Closes: #454695, #454700, #455349, #453362, #455865)
 .
     - If StepLimit is 0, abort dependency resolution cleanly instead of
       going into an infinite loop. (Closes: #451311)
 .
     - When visual mode is entered from the command-line (e.g., via
       --visual-preview), return a failing exit code if the last
       install run the user performs fails.
 .
     - Return a failing exit code from "aptitude update" if any
       download fails. (Closes: #233129)
 .
     - Checkboxes and radio buttons in the preferences tree will
       now toggle on both Space and Enter. (Closes: #451765)
 .
     - Command-line searches will now only print each result once.
       (Closes: #450798)
Files: 
 732f4baa22c6f3650cfc66b8a6a2344e 968 admin - aptitude_0.4.10-1.dsc
 afbaddb0aa8698746bd15b43eeefa8f0 5129549 admin - aptitude_0.4.10.orig.tar.gz
 c2b80a57cc3364ef085125f99f35cc92 33218 admin - aptitude_0.4.10-1.diff.gz
 cfa249f1746801f34a2b7dd2eef7197a 343434 doc optional aptitude-doc-cs_0.4.10-1_all.deb
 e9b7e6010d825c56ad509deb4cb4337b 336330 doc optional aptitude-doc-en_0.4.10-1_all.deb
 986cb29691ff4fb8624629837510ca02 261664 doc optional aptitude-doc-fi_0.4.10-1_all.deb
 86e5752179bb9101eddbd4ddb5cc4325 280980 doc optional aptitude-doc-fr_0.4.10-1_all.deb
 56d475f8495328a874fb8addd348b797 344564 doc optional aptitude-doc-ja_0.4.10-1_all.deb
 f2a1a3e804bbfd235ae202d3edcc3357 2447502 admin important aptitude_0.4.10-1_i386.deb
 f57e1538b52ed0cbbfa72e3a6549a82f 6505014 devel extra aptitude-dbg_0.4.10-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHZZvZch6xsM7kSXgRAuJzAKCPeyW1C+5K4obxjXecbCyZj9CIeQCgm9/h
WnXtZV8O1/oP4awDwbtJRXo=
=bOv+
-----END PGP SIGNATURE-----





Reply sent to Daniel Burrows <dburrows@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to James Westby <jw+debian@jameswestby.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 18 Jan 2008 07:25:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 02:13:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.